Bug 24848 - Help link from label creator batch/layout/template points to card creator in manual
Summary: Help link from label creator batch/layout/template points to card creator in ...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 24873
  Show dependency treegraph
 
Reported: 2020-03-11 12:17 UTC by Andrew Fuerste-Henry
Modified: 2020-04-15 23:34 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10


Attachments
Bug 24848: Improve manual links for the label creator (3.10 KB, patch)
2020-03-15 23:54 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24848: Improve manual links for the label creator (3.17 KB, patch)
2020-03-17 14:25 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 24848: Improve manual links for the label creator (3.27 KB, patch)
2020-03-20 13:36 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24848: Improve manual links for the label creator (3.24 KB, patch)
2020-03-20 13:41 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-03-11 12:17:14 UTC
Clicking the help button from various points within label-manage.pl takes one to the patron card creator area of the manual. It should point to the relevant label bits instead.
Comment 1 Katrin Fischer 2020-03-15 23:54:22 UTC
Created attachment 100714 [details] [review]
Bug 24848: Improve manual links for the label creator

Some of the manual links in the label creator tool were
not working correctly or pointing to the wrong pages.

A problem is the label-manage.pl file. This can show
different data depending on an added parameter. Example:
/cgi-bin/koha/labels/label-manage.pl?label_element=template

But it appears that parameters will be ignored when creating
links to the manual. So this patch links to the beginning
of the label creator section in the manual for now.

To test:
- Go to the lable creator
- Try the various pages of the tool
  - Note: All 'New ...' links should point to the
    correct section in the manual (batches, templates, ...)
    Except: Barcode range. This feature is new and not
    yet documented in the manual. Link goes to label creator section.
  - Note: All 'Manage ...' links should point to the
    beginning of the 'label creator' section in the manual
Comment 2 Katrin Fischer 2020-03-15 23:54:58 UTC
The solution is not perfect - label-manage.pl is a problem still (see patch description).
Comment 3 Katrin Fischer 2020-03-15 23:55:38 UTC
Sorry Andrew for stealing this one - noticed too late. :(
Comment 4 Andrew Fuerste-Henry 2020-03-17 14:17:02 UTC
Not a problem at all! Thanks for the patch!
Comment 5 Andrew Fuerste-Henry 2020-03-17 14:25:10 UTC
Created attachment 100899 [details] [review]
Bug 24848: Improve manual links for the label creator

Some of the manual links in the label creator tool were
not working correctly or pointing to the wrong pages.

A problem is the label-manage.pl file. This can show
different data depending on an added parameter. Example:
/cgi-bin/koha/labels/label-manage.pl?label_element=template

But it appears that parameters will be ignored when creating
links to the manual. So this patch links to the beginning
of the label creator section in the manual for now.

To test:
- Go to the lable creator
- Try the various pages of the tool
  - Note: All 'New ...' links should point to the
    correct section in the manual (batches, templates, ...)
    Except: Barcode range. This feature is new and not
    yet documented in the manual. Link goes to label creator section.
  - Note: All 'Manage ...' links should point to the
    beginning of the 'label creator' section in the manual

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 6 Marcel de Rooy 2020-03-20 13:36:07 UTC
Created attachment 101108 [details] [review]
Bug 24848: Improve manual links for the label creator

Some of the manual links in the label creator tool were
not working correctly or pointing to the wrong pages.

A problem is the label-manage.pl file. This can show
different data depending on an added parameter. Example:
/cgi-bin/koha/labels/label-manage.pl?label_element=template

But it appears that parameters will be ignored when creating
links to the manual. So this patch links to the beginning
of the label creator section in the manual for now.

To test:
- Go to the lable creator
- Try the various pages of the tool
  - Note: All 'New ...' links should point to the
    correct section in the manual (batches, templates, ...)
    Except: Barcode range. This feature is new and not
    yet documented in the manual. Link goes to label creator section.
  - Note: All 'Manage ...' links should point to the
    beginning of the 'label creator' section in the manual

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Kyle M Hall 2020-03-20 13:41:42 UTC
Created attachment 101110 [details] [review]
Bug 24848: Improve manual links for the label creator

Some of the manual links in the label creator tool were
not working correctly or pointing to the wrong pages.

A problem is the label-manage.pl file. This can show
different data depending on an added parameter. Example:
/cgi-bin/koha/labels/label-manage.pl?label_element=template

But it appears that parameters will be ignored when creating
links to the manual. So this patch links to the beginning
of the label creator section in the manual for now.

To test:
- Go to the lable creator
- Try the various pages of the tool
  - Note: All 'New ...' links should point to the
    correct section in the manual (batches, templates, ...)
    Except: Barcode range. This feature is new and not
    yet documented in the manual. Link goes to label creator section.
  - Note: All 'Manage ...' links should point to the
    beginning of the 'label creator' section in the manual

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Marcel de Rooy 2020-03-20 13:43:38 UTC
Kyle: we're clashing now
Comment 9 Martin Renvoize 2020-03-20 15:43:53 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 10 Joy Nelson 2020-04-03 21:21:45 UTC
backported to 19.11.x for 19.11.05
Comment 11 Lucas Gass 2020-04-13 19:53:25 UTC
backported to 19.05.x for 19.05.10
Comment 12 Hayley Mapley 2020-04-15 23:34:16 UTC
Not an issue in 18.11, not backporting to 18.11.x series.